// -*- mode: c++ -*-
#pragma once

#include "Kaleidoscope-MouseKeys.h"
#include "keymap-layers.h"

#define CK(k,c) k

#define ColorKeymaps(layers...) KEYMAPS(layers)

#include "keymaps.h"

#undef CK
#undef ColorKeymaps

#define CK(k,c) c

#define ColorKeymaps(layers...) \
  static constexpr uint8_t color_keymaps[][Kaleidoscope.device().matrix_rows * Kaleidoscope.device().matrix_columns] = { layers };

#include "keymaps.h"

#undef CK
#undef ColorKeymaps
